
Katello - Feature #6939

some form of activation key that contains subscription groups rather than exact subscriptions

needed

08/05/2014 11:24 AM - Thomas McKay
Description

As act keys work today, all subs associated will be assigned to the registering host. If any fail to attach, the registration itself fails.

There are use cases, however, where a group of subs are useful.

1. Given two of the same subscription but with different quantities (RHEL quantity 1, and RHEL quantity 60), I'd have to make two

separate act keys. Ideally I would simply associate those two RHEL to one key and have the host use whatever was still available.

2. Given two subs with different SLA, I would need to create two act keys. Instead, since the hosts themselves can have SLA, I could

attach both and the proper sub would be chosen from the group.

Associated revisions

Revision 66b1a73d - 11/20/2014 02:17 PM - Christine Fouant

fixes #6939 - Sets autoattach flag for act key, BZ 1126924

Revision cf9f23e8 - 12/02/2014 04:53 PM - Christine Fouant

Merge pull request #4813 from cfouant/actkey-feature

fixes #6939 - Sets autoattach flag for act key, BZ 1126924

History

#1 - 08/05/2014 11:24 AM - Thomas McKay

- Bugzilla link set to 1126924

#2 - 11/14/2014 09:57 AM - Christine Fouant

- Status changed from New to Assigned

- Assignee set to Christine Fouant

#3 - 11/14/2014 10:12 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 61

- Pull request https://github.com/Katello/katello/pull/4813 added

- Pull request deleted ()

#4 - 12/01/2014 08:49 AM - Eric Helms

- Target version changed from 61 to 62

#5 - 12/02/2014 05:01 PM - Christine Fouant

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|66b1a73dd0cee4c0053fe8b32073b78a9d5f2afa.

#6 - 02/22/2015 03:35 PM - Eric Helms

- translation missing: en.field_release set to 23
